export function LegendLayout({ className, items, hovered, width, height, hasLegend, actionButtons, isFullscreen, isQueryBuilder, children, onHoverChange, onSelectSeries, onToggleSeriesVisibility, onRemoveSeries, isReversed, canRemoveSeries, }: {
    className: any;
    items: any;
    hovered: any;
    width?: number | undefined;
    height?: number | undefined;
    hasLegend: any;
    actionButtons: any;
    isFullscreen: any;
    isQueryBuilder: any;
    children: any;
    onHoverChange: any;
    onSelectSeries: any;
    onToggleSeriesVisibility: any;
    onRemoveSeries: any;
    isReversed: any;
    canRemoveSeries: any;
}): import("react/jsx-runtime").JSX.Element;
export namespace LegendLayout {
    export { propTypes };
}
declare namespace propTypes {
    let className: PropTypes.Requireable<string>;
    let items: PropTypes.Validator<any[]>;
    let hovered: PropTypes.Requireable<object>;
    let width: PropTypes.Requireable<number>;
    let height: PropTypes.Requireable<number>;
    let hasLegend: PropTypes.Requireable<boolean>;
    let actionButtons: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    let isFullscreen: PropTypes.Requireable<boolean>;
    let isQueryBuilder: PropTypes.Requireable<boolean>;
    let children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    let onHoverChange: PropTypes.Requireable<(...args: any[]) => any>;
    let onSelectSeries: PropTypes.Requireable<(...args: any[]) => any>;
    let onToggleSeriesVisibility: PropTypes.Requireable<(...args: any[]) => any>;
    let onRemoveSeries: PropTypes.Requireable<(...args: any[]) => any>;
    let isReversed: PropTypes.Requireable<boolean>;
    let canRemoveSeries: PropTypes.Requireable<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
export {};
